3.3 Advanced Server RPM Installers

Table of Contents Previous Next


3 Using a Package Manager to Install Advanced Server : 3.3 Advanced Server RPM Installers

The tables that follow list the packages that are available from EnterpriseDB. Please note that you can also use the yum search command to access a list of the packages that are currently available from your configured repository. To use the yum search command, open a command line, assume root privileges, and enter:
yum search package
Where package is the search term that specifies the name (or partial name) of a package. The repository search will return a list of available packages that include the specified search term.
The ppas95 meta RPM installs Advanced Server, and its core supporting components. This package installs:
The ppas95-server-client package contains client programs and utilities that you can use to access and manage Advanced Server.
The ppas95-contrib package installs contributed tools and utilities that are distributed with Advanced Server. Files for these modules are installed in:
Documentation: /usr/ppas-9.5/share/doc
Loadable modules: /usr/ppas-9.5/lib
Binaries: /usr/ppas-9.5/bin
The ppas95-server-core package includes the programs needed to create the core functionality behind the Advanced Server database.
The ppas95-server-devel package contains the header files and libraries needed to compile C or C++ applications that directly interact with an Advanced Server server and the ecpg or ecpgPlus C preprocessor.
The ppas95-server-docs package installs the SGML source for the PostgreSQL documentation, as well as the documentation in HTML and PDF format.
The ppas95-server-libs package provides the essential shared libraries for any ppas client program or interface.
The ppas95-server-plperl package installs the PL/Perl procedural language for Advanced Server. Please note that the ppas95-server-plperl package is dependent on the platform-supplied version of Perl.
The ppas95-server-plpython package installs the PL/Python procedural language for Advanced Server. Please note that the ppas95-server-plpython package is dependent on the platform-supplied version of Python.
The ppas95-pltcl package installs the PL/Tcl procedural language for Advanced Server. Please note that the ppas95-server-pltcl package is dependent on the platform-supplied version of TCL.
The ppas95-edbplus package contains the files required to install the EDB*Plus command line client. EDB*Plus commands are compatible with Oracle's SQL*Plus.
The EDB-bart package installs the EnterpriseDB Backup and Recovery Tool. For more information, visit http://www.enterprisedb.com/edb-backup-and-recovery-tool
efm20
The efm20 package installs EnterpriseDB Failover Manager. Failover Manager is a high-availability module that enables automatic failover. For more information, visit http://www.enterprisedb.com/products/edb-failover-manager
The pem-agent package installs the Postgres Enterprise Manager (PEM) agent. PEM allows you to manage, monitor and tune single or multiple servers from a single console. For more information about PEM, visit http://www.enterprisedb.com/products/postgres-enterprise-manager
The ppas-jdbc package includes the .jar files needed for Java programs to access an Advanced Server database.
The ppas-migrationtoolkit package installs Migration Toolkit; the Migration Toolkit utility facilitates migration to an Advanced Server database from Oracle, PostgreSQL, MySQL, Sybase and SQL Server.
The ppas-oci package installs the EnterpriseDB Open Client library, allowing applications that use the Oracle Call Interface API to connect to an Advanced Server database.

3 Using a Package Manager to Install Advanced Server : 3.3 Advanced Server RPM Installers

Table of Contents Previous Next